apt install xubuntu-desktop does not resolve dependencies properly

Bug #1754872 reported by Norbert on 2018-03-10
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned
gnome-control-center (Ubuntu)
Undecided
Unassigned
indicator-datetime (Ubuntu)
Undecided
Unassigned
xfce4-session (Ubuntu)
Undecided
Unassigned
xubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

Steps to reproduce:
1. Install `xubuntu-desktop` meta package on 18.04 LTS
2. Login to session
3a. Click on clock indicator on panel, select "Time & Date Settings"
3b. Click on Gear, select "About this Computer" or "System Settings"
3c. Click on keyboard layout indicator, select "Text Entry Settings"

Expected results:
xfce-oriented control center is opened

Actual results:
gnome-control-center is opened, but with empty window.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xubuntu-desktop 2.223
ProcVersionSignature: Ubuntu 4.15.0-10.11-generic 4.15.3
Uname: Linux 4.15.0-10-generic x86_64
ApportVersion: 2.20.8-0ubuntu10
Architecture: amd64
CurrentDesktop: XFCE
Date: Sat Mar 10 21:10:11 2018
SourcePackage: xubuntu-meta
UpgradeStatus: No upgrade log present (probably fresh install)

Norbert (nrbrtx) wrote :
Timur Nitt (tnitt) wrote :

I can confirm this behavior. I'm using Ubuntu Mate 18.04 and some Gnome utilities like gnome-calendar or gnome-weather. In gnome-calendar I wanted to add a Google account, but there's no way do do it, because it opens the gnome-control-center and shows a blank window.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xubuntu-meta (Ubuntu):
status: New → Confirmed
Norbert (nrbrtx) wrote :

@Timur
I can't confirm this behavior on Ubuntu 18.04 LTS with MATE DE (installed from [mini.iso](http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso) as `ubuntu-mate-desktop` package).
I do not have `gnome-control-center` executable in such system. I'll test official [beta-1](http://cdimage.ubuntu.com/ubuntu-mate/releases/18.04/beta-1/ubuntu-mate-18.04-beta1-desktop-amd64.iso) and report again.

Norbert (nrbrtx) wrote :

But if I manually install `gnome-control-center` with `sudo apt-get install gnome-control-center` to set Online Accounts I can't did so. `gnome-control-center online-accounts` opens empty window.

no longer affects: ubuntu-mate-meta (Ubuntu)
Norbert (nrbrtx) wrote :

I moved MATE part to new bug report - [bug 1754942](https://bugs.launchpad.net/ubuntu/+source/ubuntu-mate-meta/+bug/1754942) - please subscribe and comment here about MATE problems. Finally I confirm the problem which you discovered.

This one bug 1754872 is for Xubuntu.

Sean Davis (bluesabre) wrote :

This does not affect a base install of Xubuntu, but one that is shared with other installed sessions that pull in the GNOME Control Center and the Date Time Indicator.

The GNOME Control Center only displays it's configuration tools inside of a GNOME or GNOME-like environment, and will just show up blank anywhere else.

To populate these settings, just launch the control center with the below command.

env XDG_CURRENT_DESKTOP=GNOME gnome-control-center

Moving this bug to indicator-datetime since it could be made aware of the running desktop and gnome-control-center since it seems to be an intentional functionality of the GNOME desktop.

no longer affects: xubuntu-meta (Ubuntu)
Norbert (nrbrtx) wrote :

Dear Sean!

It seems you do not understand bug description.
I install `xubuntu-desktop` task-package from mini.iso on 18.04 LTS with `sudo apt-get install xubuntu-desktop`.

What is the difference with "a base install of Xubuntu"? What is wrong is this method?
Users should be able to install desktop task as they want. Clean installation is not an option for some (or most do not really sure) users.

I attach the list of installed packages. I do not have other desktops installed.

You should check this again. It may be dependency problem or something similar.

Norbert (nrbrtx) wrote :
Download full text (6.8 KiB)

Just tested clean installation of Xubuntu. It does not affected by this bug.

But `sudo apt-get install xubuntu-desktop` is affected.

Below is comparison of `dpkg -l` from mini.iso and from Xubuntu beta-1 (formatted as patch):

--- /tmp/xubuntu/mini_dpkg_-l_installed
+++ /tmp/xubuntu/xubuntu_dpkg_-l_installed
-ii activity-log-manager 0.9.7-0ubuntu26
-ii apg 2.2.3.dfsg.1-5
+ii chromium-codecs-ffmpeg-extra 65.0.3325.146-0ubuntu1
-ii cracklib-runtime 2.9.2-5build1
-ii dconf-cli 0.26.0-2
-ii evolution-data-server 3.28.0-1ubuntu1
-ii evolution-data-server-common 3.28.0-1ubuntu1
+ii firefox-locale-en 57.0.1+build2-0ubuntu1
-ii fonts-sipa-arundina 0.2.2-1
-ii gconf-service 3.2.6-4ubuntu1
-ii gconf-service-backend 3.2.6-4ubuntu1
-ii gconf2 3.2.6-4ubuntu1
-ii gconf2-common 3.2.6-4ubuntu1
-ii geoclue 0.12.99-4ubuntu2
-ii geoclue-2.0 2.4.7-1ubuntu1
-ii geoclue-ubuntu-geoip 1.0.2+18.04.20180223-0ubuntu1
-ii gir1.2-ibus-1.0:amd64 1.5.17-3ubuntu1
-ii gkbd-capplet 3.26.0-3
-ii gnome-bluetooth 3.27.90-1
-ii gnome-control-center 1:3.27.92-1ubuntu1
-ii gnome-control-center-data 1:3.27.92-1ubuntu1
-ii gnome-control-center-faces 1:3.27.92-1ubuntu1
-ii gnome-online-accounts 3.27.92-1
-ii gnome-power-manager 3.26.0-1
-ii gnome-screensaver 3.6.1-8ubuntu3
-ii gnome-session-bin 3.27.91-0ubuntu4
-ii gnome-settings-daemon 3.27.92-0ubuntu1
-ii gnome-settings-daemon-schemas 3.27.92-0ubuntu1
-ii gnome-user-docs 3.26.2.1-0ubuntu1
+ii gnupg1 1.4.22-3ubuntu2
+ii gnupg1-l10n 1.4.22-3ubuntu2
-ii gsettings-ubuntu-schemas 0.0.7+17.10.20170922-0ubuntu1
-ii gstreamer1.0-clutter-3.0:amd64 3.0.24-2
+ii gstreamer1.0-fluendo-mp3:amd64 0.10.32.debian-1
+ii gstreamer1.0-plugins-ugly:amd64 1.13.1-1
+ii gstreamer1.0-vaapi:amd64 1.13.1-1ubuntu1
+ii hyphen-en-us 2.8.8-5
-ii ibus 1.5.17-3ubuntu1
-ii ibus-gtk:amd64 1.5.17-3ubuntu1
-ii ibus-gtk3:amd64 1.5.17-3ubuntu1
-ii iio-sensor-proxy 2.4-2
-ii indicator-applet 12.10.2+17.10.20170425-0ubuntu1
-ii indicator-application 12.10.1+17.04.20161201-0ubuntu1
-ii indicator-bluetooth 0.0.6+17.10.20170605-0ubuntu3
-ii indicator-datetime 15.10+17.10.20170829.2-0ubuntu3
-ii indicator-keyboard 0.0.0+18.04.20180216-0ubuntu1
-ii indicator-power 12.10.6+17.10.20170829.1-0ubuntu3
-ii indicator-session 17.3.20+17.10.20171006-0ubuntu1
-ii indicator-sound 12.10.2+17.10.20170829.1-0ubuntu1
-ii installation-report 2.62ubuntu1
+ii liba52-0.7.4:amd64 0.7.4-19
-ii libaccounts-glib0:amd64 1.23+17.04.20161104-0ubuntu1
-ii libbonobo2-0:amd64 2.32.1-3
-ii libbonobo2-common 2.32.1-3
-ii libbonoboui2-0:amd64 2.24.5-4
-ii libbonoboui2-common 2.24.5-4
-ii libcamel-1.2-61:amd64 3.28.0-1ubuntu1
-ii libcanberra-pulse:amd64 0.30-5ubuntu1
-ii libcheese-gtk25:amd64 3.26.0-4ubuntu2
-ii libcolord-gtk1:amd64 0.1.26-2
-ii libcrack2:amd64 2.9.2-5build1
+ii libcurl3:amd64 7.58.0-2ubuntu2
-ii libcurl4:amd64 7.58.0-2ubuntu2
+ii libdvdnav4:amd64 6.0.0-1
+ii libdvdread4:amd64 6.0.0-1
-ii libebackend-1.2-10:amd64 3.28.0-1ubuntu1
-ii libebook-1.2-19:amd64 3.28.0-1ubuntu1
-ii libebook-contacts-1.2-2:amd64 3.28.0-1ubuntu1
-ii libecal-1.2-19:amd64 3.28.0-1ubuntu1
-ii libedata-book-1.2-25:amd64 3.28.0-1ubuntu1
-ii libedata-cal-1.2-28:amd64 3.28.0-1ubuntu1
-ii libedataserver-1.2-23:amd64 3.28....

Read more...

Norbert (nrbrtx) wrote :

Dear Sean!

It seems you do not understand bug description.
I install `xubuntu-desktop` task-package from mini.iso on 18.04 LTS with `sudo apt-get install xubuntu-desktop`.

What is the difference with "a base install of Xubuntu"? What is wrong is this method?
Users should be able to install desktop task as they want. Clean installation is not an option for some (or most do not really sure) users.

I attach the list of installed packages. I do not have other desktops installed.

You should check this again. It may be dependency problem or something similar.

Checked again today - installed xubuntu-desktop from mini.iso.

dino99 (9d9) wrote :

Hello Norbert

Such cases are expected:
- each DE have its own environment and architecture that can be compatible with an other one, or not.
- In fact the relationship between them does not really exist, and testing has not been done to resolve the possible conflict.

Lot of reports have been sent since ages by users discovering free OSs and testing and mixing different DEs. The result is quite often the same: most of the time it ends by a clean reinstall.

But the future, when snap installation will become mature and stable, will allow such freedom.

So the actual logic might declare such report as 'wont fix'

Norbert (nrbrtx) wrote :

@dino99

Again. I have had pretty small clean installation of mini.iso. Then I installed `xubuntu-desktop` meta-package. I do not have other desktops installed. This method is normal and useful. It worked normally for years. I'm using it for `ubuntu-mate-desktop` without issues.

So you guys, have wrong dependency-trees. Usually I do not care about Xfce (but I like it for simple design and minimalism), and you can of course ignore my comments and actions. But do not be surprised at similar reports when the final release is released.

I still hope for understanding.

Norbert (nrbrtx) wrote :

Still happens after installation of `xubuntu-desktop` from beta2 netboot.iso.

Sean Davis (bluesabre) wrote :

I just tried using the netboot iso and installed the Xubuntu Desktop task. Once installation finished and rebooted, I have a pristine Xubuntu desktop with no additional indicators.

dpkg -l listing attached.

I will try another mini iso without a selected desktop if possible.

Norbert (nrbrtx) wrote :

Dear Sean!

I did installation as your wrote in comment 14.
I started with latest mini.iso from http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/ .
Then selected *Xubuntu desktop* in tasksel. Here I got exactly the same result as your wrote. So no problem here. Such system has 1584 packages.

---

But if install only base system from mini.iso and then run `sudo apt-get install xubuntu-desktop` I get a lot stuff (including `gnome-control-center`) - so it is bad variant.
So there is something wrong with handling of `APT::Install-Recommends` and/or `APT::Install-Suggests` in APT regarding `xubuntu-desktop` meta-package.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Changed in indicator-datetime (Ubuntu):
status: New → Confirmed
Changed in xubuntu-meta (Ubuntu):
status: New → Confirmed
Daniel Voyce (voycey) wrote :

Same problem here - I installed from early beta and used the same method of installing visa tasksel!

xubuntu-desktop depends on lightdm-gtk-greeter, and yet while performing the test case apt wants to pull in unity-greeter instead (see `apt depends lightdm`). This will install various indicator- packages plus gnome-control-center.

Explicitly installing the needed package gives the expected result:

sudo apt install xubuntu-desktop lightdm-gtk-greeter

Changed in gnome-control-center (Ubuntu):
status: Confirmed → Invalid
Changed in indicator-datetime (Ubuntu):
status: Confirmed → Invalid

Explicitly installing light-locker will remove xscreensaver from the list.

It looks like there are quite some oddities.

Add a caret to the package name to replicate what tasksel does:

sudo apt install xubuntu-desktop^

On Sat, 2018-08-18 at 08:34 +0000, Theo Linkspfeifer wrote:
> Explicitly installing light-locker will remove xscreensaver from the
> list.
>
> It looks like there are quite some oddities.
>
Yes, as I discovered later there is a problem in a bad interaction
between lightdm and xscreensaver.

I removed lightlocker a long time back and replaced it with
xscreensaver because lightlocker caused too many problems (don't now
remember what). Replacing lightdm with gdm has eliminated the latest
problem I was having with secondary logins.

So in summary: lightdm+(lightlocker|xscreensaver) - bad;
gdm+xscreensaver - good,  or at least fewer problems.

summary: - gnome-control-center is unusable on xubuntu-desktop, but called from
- Gear (About this Computer, System Settings) icon, Text Entry Settings,
- clock (Time & Date Settings)
+ apt install xubuntu-desktop does not resolve dependencies properly
Julian Andres Klode (juliank) wrote :

There is no correct behavior here.

xubuntu-desktop depends on lightdm, lightdm-gtk-greeter; so apt will install lightdm which Recommends unity-greeter | lightdm-greeter | lightdm-kde-greeter. Hence apt installs unity-greeter. Then it installs lightdm-gtk-greeter.

Telling apt to install xubuntu-desktop and lightdm-gtk-greeter means you made the choice to use that, and thus don't need unity-greeter.

Just not installing unity-greeter is (a) not possible in a greedy algorithm and (b) leads to wrong results in other cases (like installing an sqlite backend for something instead of an mysql one because it has fewer packages). The EDSP solvers and the kalel solver can do that.

That said, for the future solver generation, my goal is to behave similar to now, but more strict. If something depends on A|B, the solver will inject a Recommends: A, unless B is already installed or manually marked for install. This will cause even more packages to be installed than now in some situations, but it's the best compromise we can offer.

Changed in apt (Ubuntu):
status: New → Invalid

Julian, thanks for the detailed comment.

I assume that the only way to somewhat work around this problem is to change the recommendation orders:

lightdm: recommend lightdm-gtk-greeter | unity-greeter | ...
xfce4-session: recommend light-locker | xscreensaver

This may cause trouble and unexpected behavior for non Xubuntu users though.

Can the order be changed so that xubuntu-desktop depends on lightdm-gtk-greeter, lightdm? The dependencies are listed in alphabetical order, but that may be not a requirement.

Norbert (nrbrtx) wrote :

Bug exists in Cosmic. Please fix dependencies.

Many users currently trying to avoid GNOMEs Hell and some of them will choose Xfce.

But such dependency problems make bad reputation of Xfce. So they may consider to switch to KDE or MATE.

Jeremy Bicha (jbicha) wrote :

Norbert, please be respectful of other Ubuntu projects even if you don't want to use them yourself.

Debian's xfce4-session package only recommends light-locker, so my suggestion in comment #26 would be an acceptable solution.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-session - 4.12.1-6ubuntu1

---------------
xfce4-session (4.12.1-6ubuntu1) disco; urgency=medium

  * Merge from debian unstable.
    - Recommends no longer include xscreensaver (LP: #1754872)
  * Remaining changes:
    - debian/patches:
      + xubuntu_git_Make_verbose_logging_conditional.patch:
        Backport a commit to turn off verbose logging by default.
      + xubuntu_ignore-gdm-lang.patch: do not set $LANG to $GDM_LANG, there's
        already an xsession script to do that, and $GDM_LANG might not contain
        a valid locale code.
      + 0001-Update-locker-list-in-xflock4.patch: Use locker list from debian
        git to add support for xfce4-screensaver
      + 0001-Add-DesktopNames-to-.desktop-file.patch,
        0001-Export-XDG_CURRENT_DESKTOP-Bug-11239.patch,
        02_add-light-locker-to-xflock4.patch,
        03_add-light-locker-to-xflock4.patch,
        03_runtime-logind-support.patch,
        03_xflock4-update-lockers-list.patch:
        dropped, included upstream
    - debian/systemd/*, debian/xfce4-session.install:
      + Add systemd user session. Note that this is not active for the XFCE
        session right now, it will just be used for xubuntu-default-setting's
        Xubuntu session.
    - d/rules, d/startxfce4.user-session.upstart, d/xfce4-session.install:
      + Add Xfce upstart user session

 -- Sean Davis <email address hidden> Mon, 25 Feb 2019 20:46:14 -0500

Changed in xfce4-session (Ubuntu):
status: New → Fix Released
Norbert (nrbrtx) on 2019-02-26
Changed in xfce4-session (Ubuntu):
status: Fix Released → Confirmed
Norbert (nrbrtx) wrote :

Bug still exists. Simple installation of Xubuntu Desktop on top of 19.04 (disco) mini.iso with `sudo apt install xubuntu-desktop` results in long list of unwanted GNOME packages.

I have created two outputs of `dpkg -l` before (mini.iso) and after xubuntu-desktop installation.

$ diff before after | grep gnome | awk '{print $3}'
language-pack-gnome-en
language-pack-gnome-en-base
libsoup-gnome2.4-1:amd64
gir1.2-gnomebluetooth-1.0:amd64
gir1.2-gnomedesktop-3.0:amd64
gkbd-capplet
gnome-accessibility-themes
gnome-bluetooth
gnome-control-center
gnome-control-center-data
gnome-control-center-faces
gnome-desktop3-data
gnome-font-viewer
gnome-icon-theme
gnome-keyring
gnome-keyring-pkcs11:amd64
gnome-menus
gnome-mines
gnome-online-accounts
gnome-power-manager
gnome-screensaver
gnome-session-bin
gnome-session-common
gnome-settings-daemon
gnome-settings-daemon-common
gnome-shell
gnome-shell-common
gnome-software
gnome-software-common
gnome-software-plugin-snap
gnome-startup-applications
gnome-sudoku
gnome-system-tools
gnome-themes-extra:amd64
gnome-themes-extra-data
gnome-themes-standard
gnome-user-docs
language-pack-gnome-en
language-pack-gnome-en-base
language-selector-gnome
libgnome-bluetooth13:amd64
libgnome-desktop-3-17:amd64
libgnome-games-support-1-3:amd64
libgnome-games-support-common
libgnome-menu-3-0:amd64
libgnomekbd-common
libgnomekbd8:amd64
libpam-gnome-keyring:amd64
libreoffice-gnome
libsoup-gnome2.4-1:amd64
network-manager-gnome
network-manager-pptp-gnome
pinentry-gnome3
policykit-1-gnome
yaru-theme-gnome-shell

and unity:

$ diff before after | grep unity | awk '{print $3}'
libmeanwhile1:amd64
libunity-control-center1
libunity-protocol-private0:amd64
libunity-scopes-json-def-desktop
libunity-settings-daemon1:amd64
libunity9:amd64
unity-control-center
unity-greeter
unity-settings-daemon
xubuntu-community-wallpapers
xubuntu-community-wallpapers-bionic
yaru-theme-gnome-shell

So user still can't simply install Xubuntu on top of minimal system.

No changes were made to xubuntu-core and xubuntu-desktop yet, so the bug is obviously not fixed yet. However, the part regarding xfce4-session was fixed (should not pull in xscreensaver anymore).

Changed in xfce4-session (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers